package com.avg.zaap.crashlibrary.offline.publisher;

import com.avg.zaap.crashlibrary.offline.publisher.metadata.CrashMetadataWriter;
import com.avg.zaap.crashlibrary.offline.publisher.metadata.ICrashMetadataWriter;

import java.io.File;

/**
 * This class serves as the default offline publisher dependency factory.
 * <p/>
 * Created by marek.osvald on 27.7.2016.
 */
public class OfflinePublisherFactory implements IOfflinePublisherFactory {

    @Override
    public File openFile(String filePath) {
        return new File(filePath);
    }

    @Override
    public File openFile(File directory, String fileName) {
        return new File(directory, fileName);
    }

    @Override
    public ICrashMetadataWriter getCrashMetadataWriter() {
        return new CrashMetadataWriter();
    }

}
